> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Mobile Phone Numbers

> Retrieve a paginated list of mobile phone numbers on your account.



## OpenAPI

````yaml /openapi/source/external/mobile_phone_numbers/mobile_phone_numbers.json get /v2/mobile_phone_numbers
openapi: 3.1.0
info:
  version: 2.0.0
  x-latency-category: responsive
  x-endpoint-cost: light
  title: Telnyx API
  description: SIP trunking, SMS, MMS, Call Control and Telephony Data Services.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
    description: Version 2.0.0 of the Telnyx API
security:
  - bearerAuth: []
tags:
  - name: Mobile Phone Numbers
    description: Mobile phone number operations
paths:
  /v2/mobile_phone_numbers:
    get:
      tags:
        - Mobile Phone Numbers
      summary: List Mobile Phone Numbers
      description: Retrieve a paginated list of mobile phone numbers on your account.
      operationId: listMobilePhoneNumbers
      parameters:
        - name: page[number]
          in: query
          description: The page number to load
          schema:
            type: integer
        - name: page[size]
          in: query
          description: The size of the page
          schema:
            type: integer
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/MobilePhoneNumber'
                  meta:
                    $ref: '#/components/schemas/PaginationMeta'
        '401':
          description: Unauthorized
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            // Automatically fetches more pages as needed.

            for await (const mobilePhoneNumber of
            client.mobilePhoneNumbers.list()) {
              console.log(mobilePhoneNumber.id);
            }
        - lang: Python
          source: |
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            page = client.mobile_phone_numbers.list()
            page = page.data[0]
            print(page.id)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tpage, err := client.MobilePhoneNumbers.List(context.TODO(), telnyx.MobilePhoneNumberListParams{})\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", page)\n}\n"
        - lang: Java
          source: >-
            package com.telnyx.sdk.example;


            import com.telnyx.sdk.client.TelnyxClient;

            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;

            import
            com.telnyx.sdk.models.mobilephonenumbers.MobilePhoneNumberListPage;

            import
            com.telnyx.sdk.models.mobilephonenumbers.MobilePhoneNumberListParams;


            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    MobilePhoneNumberListPage page = client.mobilePhoneNumbers().list();
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            page = telnyx.mobile_phone_numbers.list

            puts(page)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $page = $client->mobilePhoneNumbers->list(pageNumber: 0, pageSize: 0);

              var_dump($page);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx mobile-phone-numbers list \
              --api-key 'My API Key'
components:
  schemas:
    MobilePhoneNumber:
      type: object
      properties:
        id:
          type: string
          description: Identifies the resource.
          readOnly: true
        record_type:
          type: string
          description: Identifies the type of the resource.
          example: mobile_phone_number
          readOnly: true
        phone_number:
          type: string
          description: The +E.164-formatted phone number.
          readOnly: true
        sim_card_id:
          type: string
          description: The ID of the SIM card associated with this number.
          format: uuid
          readOnly: true
        status:
          type: string
          description: The status of the phone number.
          readOnly: true
        connection_id:
          type:
            - string
            - 'null'
          description: The ID of the connection associated with this number.
          x-format: int64
        connection_name:
          type:
            - string
            - 'null'
          description: The name of the connection.
          readOnly: true
        connection_type:
          type:
            - string
            - 'null'
          description: The type of the connection.
          readOnly: true
        mobile_voice_enabled:
          type: boolean
          description: Indicates if mobile voice is enabled.
          readOnly: true
        tags:
          type: array
          items:
            type: string
          description: A list of tags associated with the number.
        customer_reference:
          type:
            - string
            - 'null'
          description: A customer reference string.
        created_at:
          type: string
          format: date-time
          description: ISO 8601 formatted date indicating when the resource was created.
          readOnly: true
        updated_at:
          type: string
          format: date-time
          description: >-
            ISO 8601 formatted date indicating when the resource was last
            updated.
          readOnly: true
        call_forwarding:
          type: object
          properties:
            call_forwarding_enabled:
              type: boolean
            forwards_to:
              type:
                - string
                - 'null'
            forwarding_type:
              type:
                - string
                - 'null'
              enum:
                - always
                - on-failure
        country_iso_alpha2:
          type: string
          description: The ISO 3166-1 alpha-2 country code of the number.
          readOnly: true
        noise_suppression:
          type: string
          description: The noise suppression setting.
          enum:
            - inbound
            - outbound
            - both
            - disabled
        inbound_call_screening:
          type:
            - string
            - 'null'
          description: The inbound call screening setting.
          enum:
            - disabled
            - reject_calls
            - flag_calls
        caller_id_name_enabled:
          type: boolean
          description: Indicates if caller ID name is enabled.
        call_recording:
          type: object
          properties:
            inbound_call_recording_enabled:
              type: boolean
            inbound_call_recording_channels:
              type: string
              enum:
                - single
                - dual
            inbound_call_recording_format:
              type: string
              enum:
                - wav
                - mp3
        cnam_listing:
          type: object
          properties:
            cnam_listing_enabled:
              type: boolean
            cnam_listing_details:
              type:
                - string
                - 'null'
        outbound:
          type: object
          properties:
            interception_app_id:
              type:
                - string
                - 'null'
              description: The ID of the app that will intercept outbound calls.
              x-format: int64
            interception_app_name:
              type:
                - string
                - 'null'
              description: The name of the app that will intercept outbound calls.
              readOnly: true
        inbound:
          type: object
          properties:
            interception_app_id:
              type:
                - string
                - 'null'
              description: The ID of the app that will intercept inbound calls.
              x-format: int64
            interception_app_name:
              type:
                - string
                - 'null'
              description: The name of the app that will intercept inbound calls.
              readOnly: true
    PaginationMeta:
      type: object
      properties:
        total_pages:
          type: integer
        total_results:
          type: integer
        page_number:
          type: integer
        page_size:
          type: integer
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````